#include "errors.h"

_char erlst[][32] = {
  "success",
  "illegal line number",
  "illegal format specification",
  "illegal arithmetic expression",
  "ambiguous command",
  "illegal delimiter",
  "attempt to divide by zero",
  "working area full",
  "nonexistent name",
  "wrong variable type",
  "resources exhausted",
  "command not properly terminated",
  "not allocated",
  "nonexistent line addressed",
  "illegal data size",
  "error in IF command",
  "escape typed",
  "illegal EDIT command",
  "illegal ASK command",
  "hardware operation in progress",
  "argument list error",
  "file error",
  "resort to stream transport",
  "array dimension error",
  "square root of neg.number",
  "data buffer too small",
  "string too long",
  "IPX socket error",
  "net read error",
  "call not ready",
  "invalid transport size",
  "LOGARITHM argument <= 0",
  "device not connected",
  "unauthorised action",
  "hardware error",
  "illegal equipment number",
  "illegal property",
  "value out of range",
  "not implemented yet",
  "no such computer",
  "result string filled",
  "syntax error",
  "no such file",
  "File already exists",
  "No file space",
  "Link not open",
  "remitted data lost",
  "end of file",
  "archive in progress",
  "server name in use",
  "no such column",
  "out of client memory",
  "Defined function area full",
  "Syntax error in DEFINE command",
  "illegal $SET command",
  "String Function failure",
  "illegal concatenation",
  "Error in $IF command",
  "Error in $ASK command",
  "String expected",
  "out of local memory",
  "out of shared memory",
  "invalid structure tag",
  "invalid index",
  "illegal equipment name",
  "failure in datalink software",
  "code failure",
  "bracket missing",
  "wrong hexadecimal number",
  "wrong octal number",
  "illegal character",
  "illegal relational operator",
  "command not allowed here",
  "illegal read/write attempted",
  "out of server memory",
  "database not loaded",
  "illegal command",
  "resources exhausted",
  "file not open",
  "SEDAC error",
  "no serial SEDAC loop",              /*1..3*/
  "semaphore error",
  "driver not installed",
  "COMx port_not_available",
  "scanner error",
  "semaphore blocked",
  "Non existent Element",
  "Non existent Fec",
  "Non existent Client",
  "Unable to lock the memory",
  "Server not responding",
  "Command not posted",
  "Command not accepted",
  "operation timeout",
  "Illegal network protocol",
  "gpib error",
  "rs232 error",
  "operation busy",
  "connection timeout",
  "illegal mode",
  "not owner",
  "not defined",
  "net write error",
  "invalid data",
  "software error",
  "access denied",
  "tcp not supported",
  "ipx not supported",
  "tcp host not resolved",
  "tcp connect error",
  "tcp socket error",
  "fpss error",
  "fpss timeout",
  "fpss overflow",
  "link exists",
  "alarms buffer full",
  "function not exported",
  "is switching",
  "at limit",
  "get subscription id",
  "renegotiate contract",
  "server redirection",
  "value too high",
  "value too low",
  "warn too high",
  "warn too low",
  "wait for completion",
  "cannot select",
  "has query function",
  "not signalled",
  "call redirection",
  "udp socket error",
  "mutex error",
  "data not local"
};

int numErr = sizeof(erlst)/sizeof(erlst[0]);
