#include "prolog.h"
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/time.h>
#include "servdef.h"
#include "netmex.h"

int main(int argc, char *argv[])
{
  switch (argc)                           /* initial debug level */
  {                  /* on UNIX stations: set debug = 1 (2,or 3) */
    case 2:              /* will dynamically set the debug level */
      NGdebug = atoi(argv[1]);
      break;
    default:
      NGdebug = 0;                              /* default level */
  }
  if (SystemInit(FALSE)) { printf("RPC init error\n"); exit(1); }
  if (initNetmexHistoryServer()) { printf("Netmex init error\n"); exit(1); }
  printf("NEXTMEX server running (debug level %d)\n",NGdebug);
  for(;;)
  {
    SystemCycle(TRUE);
  }
  return 0;
}
