#include "prolog.h"
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include "servdef.h"
#include "rpctypes.h"
#include "errors.h"

extern int NGdebug;
extern int nofeclog;
extern int ListenForGlobals;
extern int ListenForMCasts;
extern int defaultClientTimeout;
int tsendstring(char *dev,char *prp,char *str);
int main(int argc, char *argv[])
{
  int cc;
  int siz = 0, fmt = CF_DEFAULT;
  if (argc < 4) 
  {
    printf("Usage tsendstring <device name> <property> <string>\n");
    printf("      e.g. tsendstring /HERA.DAEMON/HERACON01 SETCONSMODE inj\n");
    exit(1);
  }
  MaxNumConnections = 3;
  ListenForGlobals = ListenForMCasts = FALSE;
  MaxPollingRate = MinPollingRate = 50;
  defaultClientTimeout = 50;
  nofeclog = TRUE;
  cc = tsendstring(argv[1],argv[2],argv[3]);
  printf("tsendstring : %s\n",erlst[cc]);
  return cc;
}
