#ifndef _SHMALLOC_H_
#define _SHMALLOC_H_
#include "prolog.h"

#define hSHARE ((HANDLE)0xffffffff)

#define WM_REQ_LCL        (WM_USER+100)
#define WM_RCV_LCL        (WM_USER+101)

typedef struct 
{
  char dataTag[16];
  int  dirty;
  int  size;
  BYTE *payload;
} shmDataGram;

extern HWND IncomingLocalFec;
extern HANDLE hShmWnd;
extern HANDLE hParent;
extern int gForceShmDatagrams;

HANDLE mmfalloc(char *tag,int SizeInBytes,BYTE **lpView,int *mmfFlag);
int mmfInit(void);
shmDataGram *shmGetDataGram(char *tag,int size,HANDLE *h);
int shmSndDataGram(char *tag,BYTE *data,int size,HANDLE *h,WORD iMessage);
void shmFreeDataGram(shmDataGram *dg,HANDLE h);
BYTE *shmDataBlockAlloc(char *tag,int size,HANDLE *hBlock);
void shmDataBlockFree(BYTE *d,HANDLE hBlock);
int CreateShmWindow(void);
int SendShmData(CLN *cln,BYTE *data,WORD iMessage);
void DestroyShmWindow(void);

#endif // _SHMALLOC_H_
